Copyright: (C) 1995 PBE


Contents

This area still under contruction.

Many areas of Slipstream respond to context sensitive help by clicking the right button on the item which you would like information on.  Addtionally, many things can be found by using the search function.

Quick Start

Menu Items

Contact!

Frequently Asked Questions

Future Features

History

Known Quirks

Registration


NNTP Address
NNTP

This is where you fill in the address of your newsgroup server. This is usually news.<domain name> where domain name is the domain name of your service provider.

You can find this info in the startup information from your provider, or by contacting them.  PLEASE do NOT contact us for this info, as we have NO way of knowing your NNTP address.


SMTP Address

This is where you fill in the address of your outgoing mail server.

You can find this info in the startup information from your provider, or by contacting them.  PLEASE do NOT contact us for this info, as we have NO way of knowing your SMTP address.


Max

This sets the maximum number of messages to retrieve for the selected newsgroups.  If set to 0, all new messages will be retrieved.

If the count of new messages in a group total less than the max, only the new messages will be retrieved.  If the count new messages is greater than the max, only the last x number of messages will be retrieved, where x = Max.

Max  also applies to groups for which you have two pass selected.


High Message Pointer

The high message pointer is used to tell Slipstream what the last message it retrieved from each group is.  If messages exist with higher numbers, Slipstream retrieves them.

If you want to retrieve old messages, you can edit and lower this number.

Note: High message pointers are specific to each NNTP server. High message pointers are not valid between different servers.


Address


Reset High


No Header

This will allow Slipstream to only retrieve the messages bodies, and will NOT retrieve the headers.  This will save you quite a bit of connection time.

In many cases there is no need to transfer the headers, or they are of no use to you.  Examples: Binary groups, Read only groups, Announcement groups, or groups where people include descriptinve signatures, etc.

HOWEVER, you CAN still reply to messages without headers.  When replying, the info WILL be incorrect.  You need not fill it in, just ignore it.  Slipstream WILL take care of this before it is posted to the newsgroup.


Two Pass

Two pass is a system which allows you to read only those messages which you need and/or want to without having to transfer all messages.

This differs from a kill file.  A kill file chooses/selects/deselects/ignores messages based on a PREDEFINED set of rules which you specify.

Two pass allows you to actally INTERACTIVELY choose specifically which messages you want, and which ones you do not.

Here is how two pass works:
When you make a run with Slipstream instead of retrieving the new messages, SL will get the message titles instead (Threads if INN is enabled).  Then using the thread selector you select which messages you want, and the next time SL will retrieve JUST those messages/threads.


Enabled

This will enable/disable the selected  newsgroup.  This can be used to disable a newsgroup temporarily or permanent without deleting it.


Descriptive Name

This contains a descriptive name of the newsgroup.  This is used only for your benefit, and is ignored in addressing concerns.


POP 3 Address
POP Address

This is where you fill in the address of your post office server.

Slipstream only supports POP3 and above. (POP3 is the current version). If your provider does not support POP3, please ask them to upgrade. There should be VERY few providers who are not running POP3.

You can find this info in the startup information from your provider, or by contacting them.  PLEASE do NOT contact us for this info, as we have NO way of knowing your POP address.


Official Sites

FTP:
ftp.shore.net	gopher-data/member/doctorpc/slxxxx.zip

 where xxxx is the version number

Web Page:
http://execpc.com/~mikew/slip.html

Online:
Delphi: GO CU 267
Delphi UK: GO DELPHI JET

Here you will find our official support forums, databases, chat rooms, gophers and much more!  If you are not on Delphi, and would like to try a free month on us, please drop us an Email!

Newgroups:

alt.winsock  - Please prefix your message with SSJ: so we will quickly see it.

EMail:
PBE@pobox.com

Snail Mail:
Phoenix Business Enterprises
P.O. Box 312
Edinboro, PA 16412-0312

Telephone:
(814) 734 - 7334 - If no answer, *please* leave Email address.  We will NOT follow up on rude calls.  You know who you are.


History

HISTORY:	A=Alpha, B=Beta

1.000 :	Initial attempt at a release

1.001 :	Initial release

1.002A-
1.008B: Alphas/Betas

1.009 :	First Stable Release
-Creates faulty packets if it encouters messages larger than 20K

1.010A-
1.013B: Alpha/Betas

1.014 :	Public Release
-Fixed minor bugs
-Changed registration scheme

1.015A: New Features
-Newsrc file support
-No longer need to "reimport" replies to expired articles, or articles with faulty reply to fields
-Two pass reenabled.  This previously worked (Pre 1.000), but was disabled due to a bug.
-Option to retrieve mail without deleting it
-Set max no of messages to retrieve
-Added status hints to the newsgroup setup screen
-Better and faster connects
-No more "overflows" (Lost data) on outgoing data
    	-Support of INN and CNews X Commands for greater throughput
-Fixed blank group creation problem
-Message Processing is quicker

1.016A: New Features
-Internal Zipping/Unzipping
-Minor bug fixes
-Fixed Newsrc options
-Eliminates trailing blank lines
-Reg codes now traceable in header
-Archiving of old QWK packets
-More compatible X Commands

1.017B: New Features
-Minor stabilization
-Heavier Error tracking added to various routines

1.018B:
-External zipping is back as an option
-Various bug fixes and enhancements
-Fix right button context sensitive help links

1.019B:
-Various Fixes

1.020:
-New ZIP DLLs.  Seems to fix the problems some had with internal zipping
-ZIP dialog no longer necessarily appears
-Various fixes
-File transfer now available from Message Queue
-Byte count is displayed for sending of messages
-Improved message waiting detection
-Upgrades no longer trash settings for external zip users

1.021A:
-MAJOR OVERHAUL! Explore!
-Dates now are inserted into packet
-New global options in setup
-Newsgroup setup redone
-MORE XCommand options for even MORE speed

1.022A:
-Fixed bug in Message queue (And dist list edit) which occurs when
DELETE / EDIT is selected but none exist
-Send File now allows multiple files to be selected
-Archiving can be disabled
-Registration bug is now fixed
-Distribution Lists

1.023A:

-Bug fixed when deleting a scheduled file
-Help file added to
-Carbon copies and multiple recipients of email can now
be specified in EMail (Carbon Copies)
-Archiving is disabled by default
-Swap, Keep, Kill added (See Header)
-Incoming data is now forced to 7 bits
-More information is listed in forum setup selection window
-More windows save their size and position
-Slipstream now can retrieve a list of active newsgroups from the newsgroup server
-Fixed bug that occurred when more than 33 Megs were retrieved at one time from a single newsgroup.

1.024A:

-A bunch of bug fixes and new features I forgot to document
-1.003 of the Thread Selector has been completed and includes:
-MANY imrovements
-Window sizing memory
-Minor bug fixes
-Complete help file
-Fixed incorrect parsing of To and Subject EQWK fields.  (ie X-Anon-To, and others were being parsed by accident)
-Add newsgroups now allows multiple groups to be more easily added
-Bug fixed which did not properly save window positions with add newsgroups
-Fixed updating of listing when editing newsgroup setups
-Fixed update newsrc with retrieve mail only bug
-Fixed update in message queue when sender is changed
-Added SEARCH to the Help menu
-Added font size to options
-Added more to Help file
-Moved Help menu to right side of window
-Fixed "Missing Newsgroup Header" when replying to expired messages


Future Plans
Planned Features: (In no specific order)

-Retrieval of available usenets for easy selection of newsgroups

-Kill files

-Command line operation - For use as a BBS door

-SOUP, UOP, Fidonet, and Bluewave Packing/Unpacking

-"Abort" button

-Auto UUE/XXE/MIME Extraction (including multi-part files)

-Scheduled runs

-Crossposting

-Full compliance with RFC 822, RFC 1036, Son of 1036, and "Good Net Seal"

-Encryption of password in INI file.

-Multiple NNTP server support


Carbon Copies

Since the QWK format does not formally allow multiple recipients for messages, Slipstream supports the following extension.

To address a message to multiple recipients, just list them in the TO field, but seperate them with commas.

NOTE: This only works with EMail.

Ex:
P_B_E@Delphi.Com, PBE@pobox.com would tell Slipstream to send the message to both listed addresses.

See also: Distribution Lists


Distribution Lists

Distribution lists are used to send files/messages to a large list of recipients.  Distribution lists are created using DISTRIBUTION LISTS from the FILE menu.

To address a message to the addressees listed in a distribution list, use @<name> where <name> is the name of the distribution list.

NOTE: This only works with EMail.

See also: Carbon Copies


Electronic Mail
E Mail

There are two ways to send Email in Slipstream:

1) Mark the message as private. This also allows for easy Email follow ups to public messages. All you have to do is reply, and then mark it as private.

2) Enter any message in the PERSONAL area.


Archiving

If archiving is on, your QWK packets will be archived as SSTREAM1.QWK through SSTREAM9.QWK each time one is created.  SSTREAM1.QWK will be a duplicate of SSTREAM.QWK.


Truncate Group Names

Most QWK readers only allow 12 characters in an area name. This will truncate the group names for that reason.

If you use a reader which supports longer names (such as QWicKeSST) you can turn this off to allow full group names to be passed into the packet.


Header
Header Placement

This option determines where the internet header appears in the message.

Swap

This will put the header at the bottom of the message.

This is useful for readers which do not recognize internet headers.  It allows you to immediately begin reading a message's text with out requiring you to hit page down each time you move to a new message.  But the header information is still available should you need to see it.

A short header consisting of a few pertinent fields will also be created and put at the beginning of the message.  (Subject, etc)

Keep

This will leave the headers at the beginning of the message. This should be used for readers that recognize internet headers.  (Use this with QWicKeSST)

Kill

This will delete the internet header from the message completely.  This is different than no header.  No header does not allow the QWK header fields to be filled in. Kill does.

A short header consisting of a few pertinent fields will be created and put at the beginning of the message.  (Subject, etc)


Refresh Newsgroup List

This option will refresh the active newsgroup list which Slipstream maintains.  The list will be obatined from the current newsgroup server and likely will take a few minutes.


Known Quirks

Quirks by Design:

These are features that by implementing as is, simplified design.  If you think they are major problems, please let us know.

-Newsgroups whick consist only of a single word (ie it has no . in it) will not show up in the selection list. Slipstream can access them, but you must enter them as unlisted.  CONTROL is an example. These groups are rare, and are usually only used for system administration.

Bugs:


Quick Start

NOTE: You can keep this active while you work in Slipstream by using ALT-TAB to switch back and forth.

1) Click on the robot, and allow Slipstream to list newsgroups.  Click OK

2) When Slipstream is finished, click on the file cabinet.  Add your newsgroups by selecting MENU then ADD.

3) Use the robot again. Slipstream will now RESET the message pointers.  Slipstream will NOT obtain any messages on this run.

4) You can now do one of two things:

a) Edit the newsgroups and lower the HIGH pointer, and make another run, OR
b) Make a run with the robot at a later time when new messages exist.


Menu Items
Under Construction

File

Configure

Distribution Lists

Exit

Agents

Go

Message Queue

Run QWK Reader

Select Threads

Setup Newsgroups

NewsRc

Export

Import

Merge

Update

Help

About

Purchase via Softlock

Contents

Search


Export

This will export in newsrc format all entries which exist in Slipstream.


Import

IGNORE THIS SECTION

This will read in and merge a newsrc file into Slipstream's newsgroup list.


Merge

This will export the high message markers into an existing newsrc file.

Slipstream will scan the NewsRc file which you specify. Newsgroups which are listed will then be checked to see if they exist in Slipstream's list.  If so the high message markers will be rewritten to the NewsRc file and will overwrite the old values.

Note: High message pointers are specific to each NNTP server. High message pointers are not valid between different servers.


Update

This will import the high message markers from a newsrc file for which entries *already* exist in Slipstream.

First Slipstream will scan each entry in the specified NewsRc file. If a matching entry exists in Slipstream's list, the high message pointer from the NewsRc file will be imported and used to update the high message pointer in Slipstream's entry.


Register
Registration

Instructions for registration can be obtained by clicking the PURCHASE... item under the HELP menu.  If you need to send a check, use the address in HELP : ABOUT : SUPPORT, and please include a check in US funds.

If you have a need for a quantity of registrations, please contact me directly with an approximate number and a site licensing arragement will be arranged.


FAQ
Frequently Asked Questions

When I atttempt to make a second (reconnect) connection to my mail/news server, I get a "Socket already in use" area.

Many servers need a few minutes to acknowledge your last disconnect. If you try to attempt a second connect too quickly, it thinks you are already connected and denies you access.

Wait a minute or two and try again.

I need to access multiple newservers.  How can I do this easily?

There are plans for internal support, but until that point:
Install multiple copies of Slipstream in different directories.